## libffi 3.1~rc1+r3.0.13

=== debian/changelog ===
libffi (3.1~rc1+r3.0.13-12ubuntu0.2) trusty-security; urgency=medium

  * SECURITY UPDATE: executable stack
    - debian/patches/CVE-2017-1000376.patch: add missing GNU stack markings
      in src/x86/win32.S.
    - debian/patches/pax_status.patch: check /proc/self/status for PaX
      status in src/closures.c.
    - debian/rules: build with --enable-pax_emutramp.
    - CVE-2017-1000376

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 27 Jun 2017 07:52:51 -0400

libffi (3.1~rc1+r3.0.13-12ubuntu0.1) trusty; urgency=medium

  * Fix an AArch64 issue, taken from upstream:
    For any 1-16 byte structure not passed in registers, we weren't copying
    from the object to be passed, but from the array of objects.
    (LP: #1513958)

 -- dann frazier <dannf@ubuntu.com>  Fri, 06 Nov 2015 13:33:54 -0700

libffi (3.1~rc1+r3.0.13-12) trusty; urgency=medium

  * Revert 3.1~rc1-2 upload, it causes an unannounced ABI break on at least
    i386, causing lots of segfaults. (LP: #1298824)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 28 Mar 2014 09:55:09 +0100

libffi (3.0.13-12) unstable; urgency=medium

  * armhf: Fix ffi_call_VFP with no VFP arguments (Will Newton).

 -- Matthias Klose <doko@debian.org>  Tue, 21 Jan 2014 17:19:04 +0100

libffi (3.0.13-11) unstable; urgency=medium

  * Fix call frame information in ffi_closure_SYSV on AArch64, patch
    provided by Linaro.
  * Add symbols file for ppc64el.
  * Stop building the multilib packages.

 -- Matthias Klose <doko@debian.org>  Tue, 14 Jan 2014 13:21:39 +0100

libffi (3.0.13-10) unstable; urgency=low

  * Fix powerpc symbols files for the biarch builds.

 -- Matthias Klose <doko@debian.org>  Thu, 28 Nov 2013 22:16:31 +0100

libffi (3.0.13-9) unstable; urgency=low

  * Remove private symbols in all the powerpc symbols files. Closes: #730590.

 -- Matthias Klose <doko@debian.org>  Thu, 28 Nov 2013 15:37:17 +0000

libffi (3.0.13-8) unstable; urgency=low

  * Regenerate the autotools files.

 -- Matthias Klose <doko@debian.org>  Tue, 26 Nov 2013 07:30:23 +0100

libffi (3.0.13-7) unstable; urgency=low

  * Updated the powerpc ABIv2 support.

 -- Matthias Klose <doko@debian.org>  Mon, 25 Nov 2013 13:01:05 +0100

libffi (3.0.13-6) unstable; urgency=low

  * Add symbols file for powerpcspe. Closes: #730021.
  * Don't apply the powerpc ABIv2 patch for now. Closes: #730020.

 -- Matthias Klose <doko@debian.org>  Thu, 21 Nov 2013 10:17:22 +0100

libffi (3.0.13-5) unstable; urgency=low

  * Add a stage1 build profile (Daniel Schepler). Closes: #709627.
  * Backport powerpc ABIv2 support from the trunk (Alan Modra).

 -- Matthias Klose <doko@debian.org>  Mon, 18 Nov 2013 09:20:37 +0100
