## libffi 3.1

=== debian/changelog ===
libffi (3.1-2+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * debian/patches:
    - 01_add_missing_GNU_STACK_markings, fix requirement on an executable
      stack on x86_32 (CVE-2017-1000376)                        closes: #751907
  * debian/rules:
    - enable pax_emutramp

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 15 Jun 2017 11:42:36 +0200

libffi (3.1-2) unstable; urgency=medium

  * Fix HAVE_LONG_DOUBLE_VARIANT conditional in the ffi.h header.
  * Fail the build if the testsuite doesn't pass. Closes: #597919.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Jun 2014 15:23:33 +0200

libffi (3.1-1) unstable; urgency=medium

  * libffi 3.1 release.
  * Update symbols file for ppc64. Closes: #736344.

 -- Matthias Klose <doko@debian.org>  Fri, 30 May 2014 14:10:15 +0200

libffi (3.1~rc1-2) unstable; urgency=medium

  * Update symbols file for armel and armhf.

 -- Matthias Klose <doko@debian.org>  Thu, 27 Mar 2014 13:51:48 +0100

libffi (3.1~rc1-1) unstable; urgency=medium

  * libffi 3.1 release candidate 1.
  * Update symbols file for ppc64. Closes: #736344.

 -- Matthias Klose <doko@debian.org>  Thu, 27 Mar 2014 11:32:39 +0100

libffi (3.0.14~rc0-1) experimental; urgency=medium

  * libffi 3.0.14 release candidate 1.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 04 Mar 2014 10:46:40 +0100
