=== debian/rules ===
--- 
+++ 
@@ -67,7 +67,7 @@
 check: stamp-check
 stamp-check: stamp-build
 	dh_testdir
-	-$(MAKE) -C build check 2>&1 | tee build/check.log
+	$(MAKE) -C build check 2>&1 | tee build/check.log
 	touch $@
 
 clean:
