## libffi 3.2.1

=== debian/changelog ===
libffi (3.2.1-9) unstable; urgency=medium

  * Add home page attribute to the control file. Closes: #816317.
  * riscv64 backport. Closes: #914442.

 -- Matthias Klose <doko@debian.org>  Tue, 27 Nov 2018 11:52:58 +0100

libffi (3.2.1-8) unstable; urgency=medium

  * More mips r6 updates (YunQiang Su). Closes: #886201.

 -- Matthias Klose <doko@debian.org>  Sun, 07 Jan 2018 10:39:08 +0100

libffi (3.2.1-7) unstable; urgency=medium

  * mips/n32.S: disable .set mips4 on mips r6 (YunQiang Su).

 -- Matthias Klose <doko@debian.org>  Sun, 10 Dec 2017 14:28:54 +0100

libffi (3.2.1-6) unstable; urgency=medium

  * Revert the AArch64 patch from 3.2.1-5.

 -- Matthias Klose <doko@debian.org>  Thu, 15 Sep 2016 19:11:42 +0200

libffi (3.2.1-5) unstable; urgency=medium

  * AArch64, tidy up abi manipulation. Taken from the trunk.
  * Backports from trunk (Stefan Bühler):
    - Always check for PaX MPROTECT on linux, make EMUTRAMP experimental.
    - dlmmap_locked always needs locking as it always modifies execsize.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Thu, 15 Sep 2016 14:18:21 +0200

libffi (3.2.1-4) unstable; urgency=medium

  * Fix CCASFLAGS. Closes: #787071.
  * Build using dh-autoreconf. Closes: #803039.
  * Configure with --enable-pax_emutramp. Closes: #751907.

 -- Matthias Klose <doko@debian.org>  Mon, 14 Dec 2015 19:05:27 +0100

libffi (3.2.1-3) unstable; urgency=medium

  * Update symbols files.
  * Fix build failure on alpha.

 -- Matthias Klose <doko@debian.org>  Wed, 08 Jul 2015 12:54:12 +0200

libffi (3.2.1-2) experimental; urgency=medium

  * Fix an AArch64 issue, taken from upstream:
    For any 1-16 byte structure not passed in registers, we weren't copying
    from the object to be passed, but from the array of objects.

 -- Matthias Klose <doko@debian.org>  Fri, 27 Feb 2015 04:04:10 +0100

libffi (3.2.1-1) experimental; urgency=medium

  * libffi 3.2.1 release.

 -- Matthias Klose <doko@debian.org>  Tue, 18 Nov 2014 16:59:48 +0100
