=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: libffi
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
+Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
-Build-Depends: debhelper (>= 5),
-  g++-multilib [amd64 i386 mips mipsel powerpc ppc64 s390 sparc kfreebsd-amd64],
-  dejagnu, lsb-release, texinfo,
-  dpkg-dev (>= 1.16.0~ubuntu4)
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9),
+  dh-autoreconf,
+  libltdl-dev,
+  dejagnu,
+  texinfo
+Standards-Version: 4.2.1
 Section: libs
+Homepage: https://sourceware.org/libffi/
 
 Package: libffi-dev
 Section: libdevel
@@ -28,7 +29,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Foreign Function Interface library runtime
  A foreign function interface is the popular name for the interface that
@@ -36,7 +37,6 @@
  language.
 
 Package: libffi6-dbg
-Priority: extra
 Section: debug
 Architecture: any
 Multi-Arch: same
