## libffi 3.3~rc0

=== debian/changelog ===
libffi (3.3~rc0-7) experimental; urgency=medium

  * Updates from the trunk 20180924.

 -- Matthias Klose <doko@debian.org>  Mon, 24 Sep 2018 13:31:19 +0200

libffi (3.3~rc0-6) experimental; urgency=medium

  * Updates from the trunk 20180512.

 -- Matthias Klose <doko@debian.org>  Sat, 12 May 2018 14:52:33 -0400

libffi (3.3~rc0-5) experimental; urgency=medium

  * Updates from the trunk 20180502.

 -- Matthias Klose <doko@debian.org>  Wed, 02 May 2018 17:27:56 +0200

libffi (3.3~rc0-3) experimental; urgency=medium

  * Updates from the trunk 20180425.

 -- Matthias Klose <doko@debian.org>  Wed, 25 Apr 2018 16:17:27 +0200

libffi (3.3~rc0-2) experimental; urgency=medium

  * Add fix for issues #421, #422 (Andreas Krebbel).

 -- Matthias Klose <doko@debian.org>  Thu, 05 Apr 2018 21:01:40 +0200

libffi (3.3~rc0-1) experimental; urgency=medium

  * libffi 3.3 release candidate 0.

 -- Matthias Klose <doko@debian.org>  Mon, 02 Apr 2018 16:37:49 +0200

libffi (3.3~20180313-1) experimental; urgency=medium

  * Snapshot, taken from the trunk.
    - Add RISC-V support. Closes: #892217.
  * Stop building the libffi-dbg package.

 -- Matthias Klose <doko@debian.org>  Tue, 13 Mar 2018 14:36:40 +0100

libffi (3.3~20180131-2) experimental; urgency=medium

  * Fix symbols file for ia64.

 -- Matthias Klose <doko@debian.org>  Wed, 31 Jan 2018 08:24:36 +0100

libffi (3.3~20180131-1) experimental; urgency=medium

  * Snapshot, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Wed, 31 Jan 2018 05:46:23 +0100

libffi (3.3~20180107-1) experimental; urgency=medium

  * Snapshot, taken from the trunk.
    - Includes mips r6 updates.

 -- Matthias Klose <doko@debian.org>  Sun, 07 Jan 2018 10:41:51 +0100

libffi (3.3~20171026-1) experimental; urgency=medium

  * Snapshot, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 14:32:00 +0200

libffi (3.3~20171020-2) experimental; urgency=medium

  * Ignore setting nocheck on m68k, powerpcspe and sh4.
  * Update symbols file for sh4.
  * Fix issue #381, test failures on ARM32.

 -- Matthias Klose <doko@debian.org>  Wed, 25 Oct 2017 09:59:58 +0200

libffi (3.3~20171020-1) experimental; urgency=medium

  * Snapshot, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Fri, 20 Oct 2017 09:22:07 +0200

libffi (3.3~20170512-2) experimental; urgency=medium

  * Update symbols file.

 -- Matthias Klose <doko@debian.org>  Mon, 15 May 2017 10:27:26 -0700

libffi (3.3~20170512-1) experimental; urgency=medium

  * Snapshot, taken from the trunk.
  * Bump soname to 7.

 -- Matthias Klose <doko@debian.org>  Fri, 12 May 2017 12:52:23 -0700

libffi (3.3~20160224-1) experimental; urgency=medium

  * Snapshot, taken from the trunk.
  * Update more symbols files (WARNING: Removed missing symbols for now).

 -- Matthias Klose <doko@debian.org>  Wed, 24 Feb 2016 12:02:18 +0100

libffi (3.3~20160120-1) experimental; urgency=medium

  * Snapshot, taken from the trunk.
  * Update symbols files (WARNING: Removed missing symbols for now).

 -- Matthias Klose <doko@debian.org>  Wed, 20 Jan 2016 23:39:34 +0100
