=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libffi6 (= ${binary:Version}), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
+Depends: libffi7 (= ${binary:Version}), ${misc:Depends}
 Conflicts: libffi4-dev
 Description: Foreign Function Interface library (development files)
  This package contains the headers and static library files necessary for
@@ -25,7 +25,7 @@
  allows code written in one language to call code written in another
  language.
 
-Package: libffi6
+Package: libffi7
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -36,17 +36,7 @@
  allows code written in one language to call code written in another
  language.
 
-Package: libffi6-dbg
-Section: debug
-Architecture: any
-Multi-Arch: same
-Depends: libffi6 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Description: Foreign Function Interface library runtime (debug symbols)
- A foreign function interface is the popular name for the interface that
- allows code written in one language to call code written in another
- language.
-
-Package: libffi6-udeb
+Package: libffi7-udeb
 Section: debian-installer
 XC-Package-Type: udeb
 Architecture: any
