## libffi 3.3

=== debian/changelog ===
libffi (3.3-6) unstable; urgency=medium

  * Update nios2 symbols (Helmut Grohne). Closes: #982765.
  * Respect the noudeb profile.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sat, 20 Feb 2021 22:46:10 +0100

libffi (3.3-5) unstable; urgency=medium

  * Bump standards and debhelper version.
  * Update mips64 symbols (Helmut Grohne). Closes: #960224.

 -- Matthias Klose <doko@debian.org>  Wed, 11 Nov 2020 17:12:05 +0100

libffi (3.3-4) unstable; urgency=medium

  * Update powerpc sysv assembly for ffi_powerpc.h changes (#541).
    Closes: #951496.

 -- Matthias Klose <doko@debian.org>  Mon, 23 Mar 2020 21:28:54 +0100

libffi (3.3-3) unstable; urgency=medium

  * Upload to unstable.

 -- Matthias Klose <doko@debian.org>  Sun, 19 Jan 2020 12:39:28 +0100

libffi (3.3-2.3) experimental; urgency=medium

  * Add one more fix for ppc64.

 -- Matthias Klose <doko@debian.org>  Sun, 05 Jan 2020 11:29:35 +0100

libffi (3.3-2.2) experimental; urgency=medium

  * Fix the build on ppc64..

 -- Matthias Klose <doko@debian.org>  Fri, 29 Nov 2019 15:59:19 +0100

libffi (3.3-2.1) experimental; urgency=medium

  * Fix the build on powerpc.

 -- Matthias Klose <doko@debian.org>  Thu, 28 Nov 2019 15:45:08 +0100

libffi (3.3-1) experimental; urgency=medium

  * libffi 3.3 release.
  * Don't use toolexeclibdir in the pkg-config file.

 -- Matthias Klose <doko@debian.org>  Mon, 25 Nov 2019 11:54:12 +0100

libffi (3.3~rc1-1) experimental; urgency=medium

  * libffi 3.3 release candidate 1.
  * Bump standards version.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 Oct 2019 13:59:17 +0200

libffi (3.3~rc0-8) experimental; urgency=medium

  * Updates from the trunk 20190508.

 -- Matthias Klose <doko@debian.org>  Wed, 08 May 2019 16:32:47 +0200
