=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 Priority: optional
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
-Build-Depends: debhelper (>= 9),
-  dh-autoreconf,
+Build-Depends: debhelper (>= 11),
   libltdl-dev,
   dejagnu,
   texinfo
-Standards-Version: 4.2.1
+Standards-Version: 4.5.1
 Section: libs
 Homepage: https://sourceware.org/libffi/
 
@@ -15,7 +14,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libffi7 (= ${binary:Version}), ${misc:Depends}
+Depends: libffi7 (= ${binary:Version}), ${misc:Depends},
 Conflicts: libffi4-dev
 Description: Foreign Function Interface library (development files)
  This package contains the headers and static library files necessary for
@@ -39,6 +38,7 @@
 Package: libffi7-udeb
 Section: debian-installer
 XC-Package-Type: udeb
+Build-Profiles: <!noudeb>
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Foreign Function Interface library runtime
