=== debian/rules ===
--- 
+++ 
@@ -24,13 +24,23 @@
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
   with_check = yes
+else
+  # override buildd admins to run the testsuite anyway ...
+  ifneq (,$(filter $(DEB_HOST_ARCH), m68k powerpcspe sh4))
+    with_check = yes
+  endif
 endif
 
-major=6
+ifeq (,$(filter noudeb, $(DEB_BUILD_PROFILES)))
+  with_udeb = yes
+endif
+
+major=7
 p=libffi$(major)
 
 configure: stamp-configure
 stamp-configure:
+	-env | grep PROFILE
 	dh_testdir
 	dh_autoreconf
 	rm -rf build
@@ -84,17 +94,18 @@
 	dh_testdir
 	dh_testroot
 	dh_prep
-	dh_installdirs -s
+	dh_installdirs -a
 	$(MAKE) -C build DESTDIR=$(CURDIR)/debian/tmp install
 	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
 	-mv debian/tmp/usr/lib/* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/.
 	cp -p build/.libs/libffi_convenience.a \
 		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libffi_pic.a
 	mkdir -p debian/libffi-dev/usr/share/doc/$(p)
+	cp README.md debian/libffi-dev/usr/share/doc/$(p)/.
 ifneq ($(DEB_BUILD_PROFILE),stage1)
 	cp -a build/doc/libffi.html debian/libffi-dev/usr/share/doc/$(p)/html
 endif
-	dh_install -s --sourcedir=debian/tmp
+	dh_install -a --sourcedir=debian/tmp
 
 	mkdir -p debian/libffi-dev/usr/include/$(DEB_HOST_MULTIARCH)
 	mv debian/libffi-dev/usr/include/*.h \
@@ -109,27 +120,23 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs -s
-	rm -f debian/libffi6/usr/share/doc/libffi$(major)/changelog
-	dh_installdocs -s
+	dh_installchangelogs -a
+	rm -f debian/libffi$(major)/usr/share/doc/libffi$(major)/changelog
+	dh_installdocs -a
 	dh_installinfo -plibffi-dev doc/libffi.info
 	rm -f debian/libffi-dev/usr/share/info/dir*
-	cp -p ChangeLog debian/libffi-dev/usr/share/doc/libffi$(major)/changelog
-	cp -p ChangeLog.* debian/libffi-dev/usr/share/doc/libffi$(major)/
 	rm -rf debian/libffi-dev/usr/share/doc/libffi-dev
 	ln -s libffi$(major) debian/libffi-dev/usr/share/doc/libffi-dev
-	rm -rf debian/libffi$(major)-dbg/usr/share/doc/libffi$(major)-dbg
-	ln -s libffi$(major) debian/libffi$(major)-dbg/usr/share/doc/libffi$(major)-dbg
-	dh_strip -s --dbg-package=libffi$(major)-dbg
-	dh_compress -s
-	dh_fixperms -s
-	dh_makeshlibs -plibffi$(major) --add-udeb=libffi$(major)-udeb
-	dh_makeshlibs -s -Nlibffi$(major)
-	dh_installdeb -s
-	dh_shlibdeps -s
-	dh_gencontrol -s
-	dh_md5sums -s
-	dh_builddeb -s
+	dh_strip -a
+	dh_compress -a
+	dh_fixperms -a
+	dh_makeshlibs -plibffi$(major) $(if $(with_udeb),--add-udeb=libffi$(major)-udeb)
+	dh_makeshlibs -a -Nlibffi$(major)
+	dh_installdeb -a
+	dh_shlibdeps -a
+	dh_gencontrol -a
+	dh_md5sums -a
+	dh_builddeb -a
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install
