=== debian/watch ===
version=3
opts=uversionmangle=s/-(rc[0-9]+)$/~$1/ \
  ftp://sourceware.org/pub/libffi/libffi-(.*)\.tar.*
