## libffi 3.4~20200819gead65ca871

=== debian/changelog ===
libffi (3.4~20200819gead65ca871-0ubuntu5) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:34:34 +0100

libffi (3.4~20200819gead65ca871-0ubuntu4) hirsute; urgency=medium

  * Add !noudeb profile to udeb.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 20 Feb 2021 20:26:50 +0000

libffi (3.4~20200819gead65ca871-0ubuntu3) groovy; urgency=medium

  * New upstream release.
  * Package git master snapshot as 8ubuntu1 abi.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 20 Aug 2020 10:31:20 +0100
