=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: libffi
 Priority: optional
-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 9),
+  dh-autoreconf,
   libltdl-dev,
   dejagnu,
   texinfo
-Standards-Version: 4.5.1
+Standards-Version: 4.4.1
 Section: libs
 Homepage: https://sourceware.org/libffi/
 
@@ -14,7 +16,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libffi7 (= ${binary:Version}), ${misc:Depends},
+Depends: libffi8ubuntu1 (= ${binary:Version}), ${misc:Depends},
 Conflicts: libffi4-dev
 Description: Foreign Function Interface library (development files)
  This package contains the headers and static library files necessary for
@@ -24,18 +26,20 @@
  allows code written in one language to call code written in another
  language.
 
-Package: libffi7
+Package: libffi8ubuntu1
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+# temporarily to ease rebuilds
+Provides: libffi8.1.0
 Description: Foreign Function Interface library runtime
  A foreign function interface is the popular name for the interface that
  allows code written in one language to call code written in another
  language.
 
-Package: libffi7-udeb
+Package: libffi8ubuntu1-udeb
 Section: debian-installer
 XC-Package-Type: udeb
 Build-Profiles: <!noudeb>
