=== debian/rules ===
--- 
+++ 
@@ -31,16 +31,11 @@
   endif
 endif
 
-ifeq (,$(filter noudeb, $(DEB_BUILD_PROFILES)))
-  with_udeb = yes
-endif
-
-major=7
+major=8ubuntu1
 p=libffi$(major)
 
 configure: stamp-configure
 stamp-configure:
-	-env | grep PROFILE
 	dh_testdir
 	dh_autoreconf
 	rm -rf build
@@ -130,7 +125,7 @@
 	dh_strip -a
 	dh_compress -a
 	dh_fixperms -a
-	dh_makeshlibs -plibffi$(major) $(if $(with_udeb),--add-udeb=libffi$(major)-udeb)
+	dh_makeshlibs -plibffi$(major) --add-udeb=libffi$(major)-udeb
 	dh_makeshlibs -a -Nlibffi$(major)
 	dh_installdeb -a
 	dh_shlibdeps -a
