## libffi 3.4.2

=== debian/changelog ===
libffi (3.4.2-1ubuntu5) impish; urgency=medium

  * Configure with --disable-exec-static-tramp.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 15 Sep 2021 18:03:16 +0200

libffi (3.4.2-1ubuntu4) impish; urgency=medium

  * Fix versioned Breaks/Replaces/Provides to be coherent.  LP: #1943312.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 12 Sep 2021 18:20:23 +0000

libffi (3.4.2-1ubuntu3) impish; urgency=medium

  * Use breaks/replaces/provides instead of a simple conflict.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Sep 2021 17:11:51 +0200

libffi (3.4.2-1ubuntu1) impish; urgency=medium

  * Update symbols file for riscv64.
  * Fix update from libffi8ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Sep 2021 14:00:29 +0200

libffi (3.4.2-1) experimental; urgency=medium

  * libffi 3.4.2 release.
  * Update symbols file.

 -- Matthias Klose <doko@debian.org>  Wed, 30 Jun 2021 09:20:58 +0200
