=== debian/control ===
--- 
+++ 
@@ -3,12 +3,11 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
-Build-Depends: debhelper (>= 9),
-  dh-autoreconf,
+Build-Depends: debhelper (>= 11),
   libltdl-dev,
   dejagnu,
   texinfo
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Section: libs
 Homepage: https://sourceware.org/libffi/
 
@@ -16,7 +15,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libffi8ubuntu1 (= ${binary:Version}), ${misc:Depends},
+Depends: libffi8 (= ${binary:Version}), ${misc:Depends},
 Conflicts: libffi4-dev
 Description: Foreign Function Interface library (development files)
  This package contains the headers and static library files necessary for
@@ -26,20 +25,21 @@
  allows code written in one language to call code written in another
  language.
 
-Package: libffi8ubuntu1
+Package: libffi8
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-# temporarily to ease rebuilds
-Provides: libffi8.1.0
+Breaks: libffi8ubuntu1 (<< 3.4.2-1)
+Replaces: libffi8ubuntu1 (<< 3.4.2-1)
+Provides: libffi8ubuntu1 (= ${binary:Version})
 Description: Foreign Function Interface library runtime
  A foreign function interface is the popular name for the interface that
  allows code written in one language to call code written in another
  language.
 
-Package: libffi8ubuntu1-udeb
+Package: libffi8-udeb
 Section: debian-installer
 XC-Package-Type: udeb
 Build-Profiles: <!noudeb>
