=== debian/rules ===
--- 
+++ 
@@ -31,11 +31,16 @@
   endif
 endif
 
-major=8ubuntu1
+ifeq (,$(filter noudeb, $(DEB_BUILD_PROFILES)))
+  with_udeb = yes
+endif
+
+major=8
 p=libffi$(major)
 
 configure: stamp-configure
 stamp-configure:
+	-env | grep PROFILE
 	dh_testdir
 	dh_autoreconf
 	rm -rf build
@@ -47,11 +52,12 @@
 		--mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info \
 		--enable-pax_emutramp \
+		--disable-exec-static-tramp \
 		CC="$(CC)" \
 		CXX="$(CXX)" \
 		CPPFLAGS="$(CPPFLAGS)" \
 		CFLAGS="$(CFLAGS)" \
-		CCASFLAGS="$(CFLAGS) -Wa,--gdwarf-2" \
+		CCASFLAGS="$(CFLAGS) -Wa,--gdwarf-5" \
 		LDFLAGS="-Wl,-z,defs $(LDFLAGS)"
 	touch $@
 #		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
@@ -125,7 +131,7 @@
 	dh_strip -a
 	dh_compress -a
 	dh_fixperms -a
-	dh_makeshlibs -plibffi$(major) --add-udeb=libffi$(major)-udeb
+	dh_makeshlibs -plibffi$(major) $(if $(with_udeb),--add-udeb=libffi$(major)-udeb)
 	dh_makeshlibs -a -Nlibffi$(major)
 	dh_installdeb -a
 	dh_shlibdeps -a
