=== debian/watch ===
version=4
opts=uversionmangle=s/-(rc[0-9]+)$/~$1/ \
  https://github.com/libffi/libffi/releases .*/libffi-(\d\S+)\.tar.*
