=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
   with_check = yes
 else
   # override buildd admins to run the testsuite anyway ...
-  ifneq (,$(filter $(DEB_HOST_ARCH), m68k powerpcspe sh4))
+  ifeq ($(DEB_BUILD_ARCH),$(filter $(DEB_HOST_ARCH), m68k powerpcspe sh4))
     with_check = yes
   endif
 endif
@@ -53,6 +53,7 @@
 		--infodir=\$${prefix}/share/info \
 		--enable-pax_emutramp \
 		--disable-exec-static-tramp \
+		--without-gcc-arch \
 		CC="$(CC)" \
 		CXX="$(CXX)" \
 		CPPFLAGS="$(CPPFLAGS)" \
