=== debian/watch ===
version=4
opts="uversionmangle=s/-(rc[0-9]+)$/~$1/, filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/libffi/libffi/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
