## libffi 3.4.8

=== debian/changelog ===
libffi (3.4.8-2) unstable; urgency=medium

  * Update from the trunk:
    - powerpc: Fix closures on powerpc64-linux when statically linking.
    - pa: add .note.GNU-stack marker to linux.S.

 -- Matthias Klose <doko@debian.org>  Wed, 23 Apr 2025 07:40:58 +0200

libffi (3.4.8-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed, 23 Apr 2025 07:15:59 +0200
