## libffi 3.5.1

=== debian/changelog ===
libffi (3.5.1-1) experimental; urgency=medium

  * New upstream version.
  * Update symbols file.
  * Bump debhelper and standards versions.

 -- Matthias Klose <doko@debian.org>  Thu, 12 Jun 2025 10:56:51 +0200
