## libffi 3.5.2

=== debian/changelog ===
libffi (3.5.2-3) unstable; urgency=medium

  * Stop building with --disable-exec-static-tramp. Closes: #1108097.

 -- Matthias Klose <doko@debian.org>  Tue, 09 Dec 2025 10:57:00 +0100

libffi (3.5.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Matthias Klose <doko@debian.org>  Thu, 04 Sep 2025 21:15:35 +0200

libffi (3.5.2-1) experimental; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 04 Aug 2025 11:29:05 +0200
