=== debian/rules ===
--- 
+++ 
@@ -52,7 +52,6 @@
 		--mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info \
 		--enable-pax_emutramp \
-		--disable-exec-static-tramp \
 		--without-gcc-arch \
 		CC="$(CC)" \
 		CXX="$(CXX)" \
